<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/DoNotDisturb/include/DoNotDisturbCA Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_dd92015ab12b9b588cab78f10309c27c.html">DoNotDisturb</a></li><li class="navelem"><a class="el" href="dir_e0ed9f524f2b6b9372683a368c6b20a1.html">include</a></li><li class="navelem"><a class="el" href="dir_4f1b2970ab3630eae76e35301d90ce21.html">DoNotDisturbCA</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">DoNotDisturbCA Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Directory dependency graph for DoNotDisturbCA:</div>
<div class="dyncontent">
<div class="center"><img src="dir_4f1b2970ab3630eae76e35301d90ce21_dep.png" border="0" usemap="#dir__4f1b2970ab3630eae76e35301d90ce21__dep" alt="/workplace/avs-device-sdk/CapabilityAgents/DoNotDisturb/include/DoNotDisturbCA"/></div>
<map name="dir__4f1b2970ab3630eae76e35301d90ce21__dep" id="dir__4f1b2970ab3630eae76e35301d90ce21__dep">
<area shape="rect" id="node1" href="dir_4f1b2970ab3630eae76e35301d90ce21.html" title="DoNotDisturbCA" alt="" coords="55,51,175,99"/>
<area shape="rect" id="node2" href="dir_8ae0dd75af039a94f4269584fb8eef13.html" title="Settings" alt="" coords="5,147,77,195"/>
<area shape="rect" id="edge1-headlabel" href="dir_000156_000286.html" title="11" alt="" coords="71,130,85,144"/>
<area shape="rect" id="node3" href="dir_13e65effb2bde530b17b3d5eefcd0266.html" title="AVSCommon" alt="" coords="64,243,165,291"/>
<area shape="rect" id="edge2-headlabel" href="dir_000156_000015.html" title="12" alt="" coords="116,218,131,231"/>
<area shape="rect" id="node4" href="dir_b14333b5607b47fe7356eaa790107bd3.html" title="RegistrationManager" alt="" coords="151,147,297,195"/>
<area shape="rect" id="edge3-headlabel" href="dir_000156_000272.html" title="2" alt="" coords="185,121,192,135"/>
<area shape="rect" id="edge4-headlabel" href="dir_000286_000015.html" title="11" alt="" coords="85,216,99,229"/>
<area shape="rect" id="edge5-headlabel" href="dir_000272_000015.html" title="9" alt="" coords="158,230,165,244"/>
<area shape="rect" id="clust1" href="dir_e0ed9f524f2b6b9372683a368c6b20a1.html" title="include" alt="" coords="44,16,185,109"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:_d_n_d_message_request_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_d_n_d_message_request_8h.html">DNDMessageRequest.h</a> <a href="_d_n_d_message_request_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_d_n_d_setting_protocol_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_d_n_d_setting_protocol_8h.html">DNDSettingProtocol.h</a> <a href="_d_n_d_setting_protocol_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_do_not_disturb_capability_agent_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_do_not_disturb_capability_agent_8h.html">DoNotDisturbCapabilityAgent.h</a> <a href="_do_not_disturb_capability_agent_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
